Create badges group

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to create a group for the badges.

šŸ‘

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call

🚧

Warning

Badge group name should be unique and is case sensitive.

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/group' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic bWFkaHVzI3MjU2YQ==' \
--header 'Cookie: _cfuvid=LbgLgMATQVG7rxgU6obNtuTjuntKzGkHg15XluHdUPI-1768984490920-0.0.1.1-604800000' \
--data '{
    "name": "skjhfdjfhgiok",
    "rank": 214748364
}'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Access group resource: WRITE access to target loyalty access group resource

Resource information

URIapi_gateway/v1/badges/group
HTTP methodPOST
Rate limitNA
Batch supportNA

Request body parameters

ParametersDatatypeDescription
Name*StringName of the badge group. Ex: GROUP_RANK_2
Rank*IntegerThe rank of the group is used to create an order among different groups. The brand assigns the rank, and groups with higher rank are prioritized over other groups.
Ex: To encourage customers as they progress through course modules, you can organize badges into three groups corresponding to three-course modules. After completing each module, customers earn a badge. Upon achieving a set of badges, they are associated with a group such as Expert, Intermediate, or Beginner.

{
    "name": "skjhfdjfhgiok",
    "rank": 214748364
}

Example response

{
    "data": {
        "id": "69708faa0772ad476ecf8511",
        "orgId": 100737,
        "name": "skjhfdjfhgiok",
        "rank": 214748364,
        "createdBy": 75197372,
        "createdOn": 1768984490.856013000,
        "createdOnISO": "2026-01-21T08:34:50Z",
        "lastUpdatedBy": 75197372,
        "lastUpdatedOn": 1768984490.856013000,
        "lastUpdatedOnISO": "2026-01-21T08:34:50Z",
        "isActive": true
    },
    "errors": [],
    "warnings": []
}

Response parameters

ParameterDatatypeDescription
idStringUnique ID of the group.
orgIdIntegerUnique iD of the org.
nameStringName of the group
rankIntegerThe rank of the group assigned by the user.
createdByIntegerUser ID who created the group.
createdOnFloatTimestamp indicating when the group was created
createdOnISOString

Timestamp indicating when the group was created, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

lastUpdatedByIntegerUser ID who last updated the group.
lastUpdatedOnFloatTimestamp indicating when the group was last updated
lastUpdatedOnISO

Timestamp indicating when the group was last updated, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

isActiveBooleanIndicates whether the group is currently active or not.

API-specific error codes

Error codeDescription
733Group Name should be Unique.
732Group Rank is Mandatory.
735Group name is mandatory.
Body Params
string
required
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json